User Tag List

Page 1 of 2 1 2 LastLast
Results 1 to 10 of 13

Thread: iOS 6 still supported?

  1. #1
    Clicker Fusion 2.5 DeveloperAndroid Export ModuleHTML5 Export ModuleiOS Export ModuleSWF Export Module
    Simflare's Avatar
    Join Date
    Oct 2013
    Location
    Australia
    Posts
    374
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    iOS 6 still supported?

    Hey guys

    is iOS 6 still supported with the exporter? I've recently updated xCode and my iPhone 5 to iOS 8, but my old iPod Touch is running iOS 6.1. My game runs on the iPhone on iOS 8 fine, but it won't run on the iPod Touch running iOS 6.1. The splash screen comes up, the icon is on the apps screen, but then it black screens and closes.

    Any idea's for the crash? I'm wondering if it's because it's iOS 6, or that model of iPod Touch isn't supported anymore or something.

    Also the 'deployment target' is blank in XCode and I currently have the device set to just iPhone. When I tried switching deployment target to 6.0, then tried running it on my iPod, it said the device wasn't supported. Can't remember which gen my iPod is but it was the one just before iPhone 5 I think, so I guess it's gen 4. Not sure if that helps at all.

    Cheers
    Simflare

  2. #2
    Clicker Fusion 2.5 MacFusion 2.5 DeveloperFusion 2.5 DeveloperFusion 2.5+ DLCAndroid Export ModuleHTML5 Export ModuleiOS Export ModuleUniversal Windows Platform Export ModuleSWF Export ModuleMac Export ModuleInstall Creator Pro
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)Universal Windows Platform Export Module (Steam)
    AND's Avatar
    Join Date
    Nov 2013
    Location
    Greece
    Posts
    270
    Mentioned
    5 Post(s)
    Tagged
    0 Thread(s)
    Hi Simflare, iOS 6 is still supported. - Minimum target is now iOS 6.0 in the Xcode projects. http://www.clickteam.com/webftp/files/mmf2/ChangeLogs/285.0.txt

    Is your iPod Touch Jailbroken? This could be a possible reason for the black screen and closing if AppSync became uninstalled from Cydia.

  3. #3
    Clicker Fusion 2.5 DeveloperAndroid Export ModuleHTML5 Export ModuleiOS Export ModuleSWF Export Module
    Simflare's Avatar
    Join Date
    Oct 2013
    Location
    Australia
    Posts
    374
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Issue with size identifier

    Nope it's not jail broken I've never done anything like that. I don't understand why it won't run then?
    I tried going on to the AppStore and it said 'cannot open app store' even though I'm on WiFi.

    I've just tried building it again and now I'm seeing issues with the 'size identifier'. My project is 960x540 and set to stretch to fit - do you think it's possible it's failing because the game is wider than the screen? The older iPod's had a smaller screen than the new iPhones.

    Error example (there's 8 issues all basically the same with slight variation to do with size identifiers): Deprecations - 'requiredContentSizeIdentifiers' is deprecated: first deprecated in iOS 6.0
    and the other issues are all like that
    The errors are all under the CiAdViewController.m but I don't even have iAds enabled? These errors have only occurred since I've tried to target iOS 6.

    If I try to target iOS 8 on my iPhone, I get other deprecation errors too, but not when I try to build it without specifying a deployment target. However, the game still runs on iOS 8, so perhaps these error messages are unrelated to the crashing iPod. I still wonder if the iPod crashes because the game is wider than the screen and I have it set to 'stretch to fit'?

  4. #4
    Clicker Fusion 2.5 DeveloperAndroid Export ModuleHTML5 Export ModuleiOS Export ModuleSWF Export Module
    Simflare's Avatar
    Join Date
    Oct 2013
    Location
    Australia
    Posts
    374
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    I actually think it's an iPod Touch 3rd gen, because the screen size seems to fit with that resolution, 480x320, and the 4th gen is 960x640 which should work fine like my iPhone 5. The actual game is 960x540.
    I'm more and more convinced it's crashing because my game is too big for the screen. Would that cause a crash? I'm assuming stretch to fill the screen, but not make it smaller. Would that be correct?

  5. #5
    Clicker Fusion 2.5 MacFusion 2.5 DeveloperFusion 2.5 DeveloperFusion 2.5+ DLCAndroid Export ModuleHTML5 Export ModuleiOS Export ModuleUniversal Windows Platform Export ModuleSWF Export ModuleMac Export ModuleInstall Creator Pro
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)Universal Windows Platform Export Module (Steam)
    AND's Avatar
    Join Date
    Nov 2013
    Location
    Greece
    Posts
    270
    Mentioned
    5 Post(s)
    Tagged
    0 Thread(s)
    I'm using Xcode 7 Beta and test on an iPad 2 running iOS 8.4. I get these deprecated warnings too, but as I'm not ready to submit my apps to the Appstore yet, and I'm hoping Clickteam will fix these errors when the final Xcode 7 is released, I haven't worried about it so far as the apps run fine on the iPad for testing purposes. I don't know if your resolution is causing the crash because I've never compiled my project to an iPod or iPhone. I always set my deployment target to the minimum iOS 6 and get the following list of 12 errors in CIAdViewController.m each time I compile:

    'requiredContentSizeIdentifiers' is deprecated: first deprecated in iOS 6.0
    'ADBannerContentSizeIdentifierPortrait' is deprecated: first deprecated in iOS 6.0
    'currentContentSizeIdentifier' is deprecated: first deprecated in iOS 6.0
    'ADBannerContentSizeIdentifierPortrait' is deprecated: first deprecated in iOS 6.0
    'requiredContentSizeIdentifiers' is deprecated: first deprecated in iOS 6.0
    'ADBannerContentSizeIdentifierLandscape' is deprecated: first deprecated in iOS 6.0
    'currentContentSizeIdentifier' is deprecated: first deprecated in iOS 6.0
    'ADBannerContentSizeIdentifierLandscape' is deprecated: first deprecated in iOS 6.0
    ld: warning: -weak_framework is treated as -framework when used with -bitcode_bundle (Xcode setting ENABLE_BITCODE=YES). Weak linking may still happen based on availability mark-up in headers
    ld: warning: -weak-l is treated as -l when used with -bitcode_bundle (Xcode setting ENABLE_BITCODE=YES). Weak linking may still happen based on availability mark-up in headers
    warning: All interface orientations must be supported unless the app requires full screen.
    warning: A launch storyboard or xib must be provided unless the app requires full screen.

  6. #6
    Clicker Fusion 2.5Fusion 2.5 MaciOS Export ModuleInstall Creator Pro
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)Universal Windows Platform Export Module (Steam)
    advaith's Avatar
    Join Date
    Jun 2015
    Location
    SF Bay Area, California, USA
    Posts
    1,324
    Mentioned
    1 Post(s)
    Tagged
    0 Thread(s)
    If your Xcode version does not have the definitions for older OSes installed, just copy them over from an older version of Xcode.

  7. #7
    Clicker Fusion 2.5 DeveloperAndroid Export ModuleHTML5 Export ModuleiOS Export ModuleSWF Export Module
    Simflare's Avatar
    Join Date
    Oct 2013
    Location
    Australia
    Posts
    374
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Ah I didn't know about these definitions. How do I copy them? I am unaware of how to do this

  8. #8
    Clicker Fusion 2.5Fusion 2.5 MaciOS Export ModuleInstall Creator Pro
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)Universal Windows Platform Export Module (Steam)
    advaith's Avatar
    Join Date
    Jun 2015
    Location
    SF Bay Area, California, USA
    Posts
    1,324
    Mentioned
    1 Post(s)
    Tagged
    0 Thread(s)
    1. Go to the contents directory by right clicking on Xcode in the applications folder and selecting Show Package Contents
    2. Go to the Device Support folder /Contents/Developer/Platforms/iPhoneOS.platform/DeviceSupport (for iOS)
    3. Copy the version folder to the same location in the new Xcode version.

  9. #9
    Clickteam Clickteam

    Join Date
    Jun 2006
    Location
    France
    Posts
    12,728
    Mentioned
    51 Post(s)
    Tagged
    2 Thread(s)
    Install the latest beta (build 285), I think it fixes an issue with iOS 6.

  10. #10
    Clicker Fusion 2.5 DeveloperAndroid Export ModuleHTML5 Export ModuleiOS Export ModuleSWF Export Module
    Simflare's Avatar
    Join Date
    Oct 2013
    Location
    Australia
    Posts
    374
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Sorry Yves beta of which? Fusion or iOS exporter? I'm trying the latest beta of both to see if either fixes the issues.

    Also Advaith, I'm not sure where to get the old definitions from an old version of XCode so that I can put them in the folder. I have already updated and have the latest version - how do you get the old version definitions?

Page 1 of 2 1 2 LastLast

Similar Threads

  1. when https will br supported
    By iOSC in forum Fusion 2.5
    Replies: 3
    Last Post: 19th June 2014, 07:06 PM
  2. Lacewing - Will be supported again?
    By Ls2 in forum Android Export Module Version 2.0
    Replies: 5
    Last Post: 9th May 2012, 10:11 AM
  3. Supported video on iOS
    By Apex in forum iOS Export Module Version 2.0
    Replies: 9
    Last Post: 2nd May 2012, 01:15 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •